You can only upgrade to 5.1.1